HeaderPartition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface HeaderPartition

- All Superinterfaces:
    Cloneable, EssencePartition, Partition
  All Known Implementing Classes:
    HeaderPartitionImpl

      public interface HeaderPartition
      extends EssencePartition, Cloneable

  Represents the header partition of an MXF file, providing access to its constituent parts. A header partition must contain header metadata and may contain index table segments and parts of a body stream. The header partition is always that first partition in an MXF file.

  See Also:
    `FooterPartition`, `BodyPartition`, `MXFFile.getHeaderPartition()`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.Partition

      `SIZE_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderPartition` | `clone()` Create a cloned copy of this partition.
    `HeaderPartitionPack` | `getPartitionPack()` Returns the header partition pack that describes the details of this header partition, including what it contains and its size.
    `void` | `setPartitionPack(HeaderPartitionPack partitionPack)` Set the header partition pack that describes this header partition, including what it contains and its size.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.EssencePartition

      `fillToEnd, getEssenceContainer, initializeWritingBody, readEssenceElement, writeEssenceBlock, writeEssenceElementHeader, writeEssenceElementHeader`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Partition

      `getActualSize, getInitialSize, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, readHeaderMetadata, readIndexTableSegment, setInitialDataSize, setPartitionPackPadding, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writeSingleIndexSegment`

- - ### Method Detail

    - #### getPartitionPack

          HeaderPartitionPack getPartitionPack()

      Returns the header partition pack that describes the details of this header partition, including what it contains and its size.

      Specified by:
        `getPartitionPack` in interface `Partition`
      Returns:
        Header partition pack describing this header partition.
      See Also:
        `getPartitionPack()`, `FooterPartition.getPartitionPack()`, `BodyPartition.getPartitionPack()`

    - #### setPartitionPack

          void setPartitionPack(HeaderPartitionPack partitionPack)
                         throws NullPointerException

      Set the header partition pack that describes this header partition, including what it contains and its size.

      Parameters:
        `partitionPack` - Header partition pack describing this header partition.
      Throws:
        `NullPointerException` - Cannot set the header partition pack with a `null` value.

    - #### clone

          HeaderPartition clone()

      Description copied from interface: `Partition`

      Create a cloned copy of this partition.

      Specified by:
        `clone` in interface `EssencePartition`
      Specified by:
        `clone` in interface `Partition`
      Returns:
        Cloned copy of this partition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.